Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.loaders
Class DataFolder.SortMode

    java.lang.Object
      org.openide.loaders.DataFolder.SortMode

All Implemented Interfaces:
  Comparator

Enclosing class:
  DataFolder

    public abstract static class DataFolder.SortMode

extends Object
implements Comparator

Type-safe enumeration of sort modes for data folders.

Field Summary
`static DataFolder.SortMode` | `CLASS` Objects are sorted by their types and then by names.
`static DataFolder.SortMode` | `FOLDER_NAMES` Folders go first (sorted by name) followed by non-folder objects sorted by name.
`static DataFolder.SortMode` | `LAST_MODIFIED` Folders go first (sorted by name) followed by files sorted by decreasing last modification time.
`static DataFolder.SortMode` | `NAMES` Objects are sorted by their names.
`static DataFolder.SortMode` | `NONE` Objects are unsorted.
`static DataFolder.SortMode` | `SIZE` Folders go first (sorted by name) followed by files sorted by decreasing size.

Constructor Summary
`DataFolder.SortMode()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`compare, equals`

Field Detail

### NONE

    public static final DataFolder.SortMode NONE

  Objects are unsorted.

### NAMES

    public static final DataFolder.SortMode NAMES

  Objects are sorted by their names.

### CLASS

    public static final DataFolder.SortMode CLASS

  Objects are sorted by their types and then by names.

### FOLDER_NAMES

    public static final DataFolder.SortMode FOLDER_NAMES

  Folders go first (sorted by name) followed by non-folder objects sorted by name.

### LAST_MODIFIED

    public static final DataFolder.SortMode LAST_MODIFIED

  Folders go first (sorted by name) followed by files sorted by decreasing last modification time.

  Since:
    org.openide.loaders 4.10

### SIZE

    public static final DataFolder.SortMode SIZE

  Folders go first (sorted by name) followed by files sorted by decreasing size.

  Since:
    org.openide.loaders 4.10

Constructor Detail

### DataFolder.SortMode

    public DataFolder.SortMode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.